List Slots
curl --request GET \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slotsimport requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/projects/{projectId}/item-slots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"quantityBreakdown": {
"parRequirement": "<string>",
"packagesToPurchase": "<string>",
"assignedQuantity": "<string>",
"allocationBalance": "<string>",
"extraQuantity": "<string>",
"purchaseQuantity": "<string>"
},
"areas": [
{
"parentId": "<string>",
"code": "<string>",
"id": "<string>",
"name": "<string>",
"quantity": "<string>",
"roomNumbers": [
"<string>"
],
"roomCount": 123,
"path": [
"<string>"
]
}
],
"id": "<string>",
"projectId": "<string>",
"position": 123,
"quantity": "<string>",
"refNumber": {},
"brandStandardId": "<string>",
"columnsAttributes": {},
"version": 123,
"createdAt": "<string>",
"updatedAt": "<string>",
"primaryItem": {
"id": "<string>",
"name": {},
"version": 123,
"catalogFamilyId": "<string>",
"catalogItemId": "<string>",
"selectedSource": {
"isDefault": true,
"companyName": {},
"officeName": {}
},
"primaryImageUrl": "<string>",
"columnsAttributes": {},
"productTypeId": "<string>",
"kind": "option",
"isPrimary": true,
"catalogConnectionMode": "live",
"catalogFamilyStatus": "draft",
"partsCount": 123,
"materialsCount": 123,
"coreChangePolicy": {},
"catalogFamilySourceId": "<string>",
"syncStateCache": {
"hasDiff": true,
"columnsDiff": true,
"partsDiff": {
"hasDiff": true,
"addedLocally": [
"<string>"
],
"removedLocally": [
"<string>"
],
"quantityChanged": [
{
"catalogItemId": "<string>",
"projectQty": "<string>",
"catalogQty": "<string>"
}
]
},
"selectionDiff": {
"familySourceMismatch": true,
"itemSourceMismatch": true
},
"orphanedRefs": {
"family": true,
"item": true,
"familySource": true,
"itemSource": true
},
"computedAt": "<string>",
"componentsDiverged": true
},
"categoryId": "<string>",
"categoryName": {}
},
"alternativesCount": 123,
"similarItemsCount": 123,
"latestRevision": {
"id": "<string>",
"label": {},
"createdAt": "<string>",
"type": "version",
"issueDate": "2026-09-02"
},
"latestIssue": {
"label": {},
"createdAt": "<string>",
"issueDate": "<string>"
},
"revisionDate": "<string>",
"issueCount": 123,
"catalogRelease": {
"id": "<string>",
"number": 123,
"label": "<string>",
"collectionId": "<string>",
"collectionName": "<string>"
},
"releasesBehind": 123,
"revisionCount": 123,
"changedSinceIssueCount": 123,
"applyParToPurchaseQuantity": true,
"unitsPerPackage": {},
"parLevel": {},
"extraQuantityPercentage": {},
"extraQuantityOverride": {},
"extraQuantityDecimalPlaces": 123,
"changedFields": [
"<string>"
]
}
],
"nextCursor": "<string>",
"hasMore": true
}Project Item Slots
List Slots
GET
/
v1
/
workspaces
/
{workspaceId}
/
projects
/
{projectId}
/
item-slots
List Slots
Query Parameters
Required range:
1 <= x <= 100Available options:
createdAt, updatedAt, position Available options:
asc, desc Minimum array length:
1Available options:
new, ready, updates, broken Show child attributes
Show child attributes
⌘I